import { defineComponent as c, mergeModels as f, useModel as b, computed as V, createElementBlock as _, openBlock as g, createElementVNode as r, createVNode as m, createTextVNode as u, toDisplayString as d, unref as n } from "vue";
import { useI18n as M } from "vue-i18n";
import { c as v, b as B } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const U = { class: "mb-4" }, x = /* @__PURE__ */ c({
  __name: "ToBundleConfiguration",
  props: /* @__PURE__ */ f({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(l) {
    const e = b(l, "modelValue"), { t: i } = M(), p = V(() => {
      var t;
      const a = ((t = e.value) == null ? void 0 : t.delimiter) || ",";
      return ["SKU1", 3, "SKU2", 2, "SKU3", 5].join(a);
    });
    return (a, t) => (g(), _("div", null, [
      r("div", U, [
        u(d(n(i)("pim.etl.ToBundleConfiguration.explanation")) + " ", 1),
        t[2] || (t[2] = r("br", null, null, -1)),
        u(" " + d(p.value), 1)
      ]),
      m(n(v), {
        modelValue: e.value.incrementalMode,
        "onUpdate:modelValue": t[0] || (t[0] = (o) => e.value.incrementalMode = o),
        label: n(i)("pim.etl.ToBundleConfiguration.incrementalMode"),
        class: "mb-4"
      }, null, 8, ["modelValue", "label"]),
      m(n(B), {
        modelValue: e.value.delimiter,
        "onUpdate:modelValue": t[1] || (t[1] = (o) => e.value.delimiter = o),
        label: n(i)("pim.etl.ToBundleConfiguration.delimiter"),
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function s(l) {
  const e = l;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            ToBundleConfiguration: {
              explanation: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Data Values must be an alternating list of SKUs and amounts. For example:" } },
              incrementalMode: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Incremental update" } },
              delimiter: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Delimiter" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            ToBundleConfiguration: {
              explanation: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Datenwerte müssen eine abwechselnde Liste von SKUs und Mengen sein. Zum Beispiel:" } },
              incrementalMode: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inkrementelles Update" } },
              delimiter: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Trennzeichen" } }
            }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(x);
export {
  x as default
};
